/**
 * 奖金周期表负责人list.js
 */
shr.defineClass("shr.custom.BonusCyclePrincipalList", shr.framework.List, {
	initalizeDOM: function () {
		shr.custom.BonusCyclePrincipalList.superClass.initalizeDOM.call(this);
	},
	/**
	 * 查看
	 */
	viewAction: function (billId, rowid) {
		// 编辑界面禁用，则直接返回
		if (this.editViewDisable) {
			return;
		}
		this.reloadPage({
			uipk: this.getEditUIPK(),
			parentId: billId,
			permItemId: shr.getCurrentPagePermItemId()
		});
	},
	/**
	 * 返回
	 */
	backAction: function () {
		this.back();
	},
});

